package com.czg.account.service;

import com.czg.account.dto.pad.*;
import com.mybatisflex.core.paginate.Page;

/**
 * @author Administrator
 */
public interface PadProdService {
    Page<PadProductCategoryDTO> pageInfo(Page<PadProductCategoryDTO> objectPage, Long productCategoryId, Long shopId);

    PadDetailDTO detail(Long shopId, Long padProductCategory);

    Boolean edit(Long shopId, PadDetailEditDTO padDetailEditDTO);

    Boolean add(Long shopId, PadDetailAddDTO padDetailAddDTO);

    Boolean del(Long shopId, PadDetailDelDTO delDTO);
}
